<?php

/* PROGRAMAÇÃO BY: BINHO, FUNDADOR DA CTGAMES - TEAM SOFTWARES */

if($_GET["limpar"] == true) {
$personagem = $_GET["linv_personagem"];
$ver_char = mssql_num_rows(mssql_query("select name from character where accountid='".$_SESSION["login"]."'"));
$ver_bau = mssql_num_rows(mssql_query("select accountid from character where accountid='".$_SESSION["login"]."'"));
$ver_on = mssql_fetch_row(mssql_query("select connectstat from memb_stat where memb___id='".$_SESSION["login"]."'"));
if($ver_bau < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">É necessário abrir seu inventório ao menos uma vez</div>'));
}
elseif($ver_char < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">Personagem inválido</div>'));
}
elseif($ver_on[0] > 0) {
	exit($bbcode->bbcode('<div class="box_conteudo">É necessário estar deslogado</div>'));
}
else{
	if(colum_inventory == 760) {
		$f = str_pad($f, 760*2, "F");
	}
	else{
		$f = str_pad($f, 1728*2, "F");
	}
	mssql_query("update character set inventory=0x".$f." where name='".$personagem."'");
	echo $bbcode->bbcode('<div class="box_conteudo">Seu inventório foi limpo com sucesso</div>');
}
}

if($_GET["reparar"] == true) {
$personagem = $_GET["rinv_personagem"];
$ver_char = mssql_num_rows(mssql_query("select name from character where accountid='".$_SESSION["login"]."'"));
$ver_on = mssql_fetch_row(mssql_query("select connectstat from memb_stat where memb___id='".$_SESSION["login"]."'"));
if($personagem == "") {
	exit($bbcode->bbcode('<div class="box_conteudo">Preencha todos os campos</div>'));
}
elseif($ver_char < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">Personagem inválido</div>'));
}
elseif($ver_on[0] > 0) {
	exit($bbcode->bbcode('<div class="box_conteudo">É necessário estar deslogado</div>'));
}
else{
    $invlen = colum_inventory;
    $x = 0;
    for ( ; $x < $invlen / 216; ++$x )
    {
        $a = $x * 255;
        $b = $a + 255;
        $result = mssql_fetch_row(mssql_query("select substring(inventory,".$a.", {$b}) from character where name='".$personagem."'" ));
        $inventory .= $result[0];
    }
    $hexa = strtoupper( bin2hex( $inventory ) );
    $i = 0;
    for ( ; $i < strlen( $inventory ) * 2; ++$i )
    {
        if ( $i % 20 == 0 )
        {
            $hex_item = substr( $hexa, $i, 20 );
            if ( 20 <= strlen( $hex_item ) )
            {
                $hex_final .= substr( $hex_item, 0, 4 )."FF".substr( $hex_item, 6 );
            }
        }
    }
    mssql_query("update character set inventory=0x".$hex_final." where name='".$personagem."'");
    echo $bbcode->bbcode('<div class="box_conteudo">Inventório reparado com sucesso</div>');
}
}
?>